/*
 * $Id: lc_trace_ia64.h 1079 2004-10-22 19:59:34Z troyhebe $
 *
 * This file is part of lcrash, an analysis tool for Linux memory dumps.
 *
 * Created by Silicon Graphics, Inc.
 * Contributions by IBM, and others
 *
 * Copyright (C) 1999 - 2002 Silicon Graphics, Inc. All rights reserved.
 * Copyright (C) 2001, 2002 IBM Deutschland Entwicklung GmbH, IBM Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */

#ifndef __LC_TRACE_IA64_H
#define __LC_TRACE_IA64_H


#define STACK_SEGMENTS_IA64	1
#define STACK_SIZE_IA64         KL_KSTACK_SIZE_IA64

/*
 * function prototypes
 */

/* init trace stuff for ia64 dumps */
int trace_init_ia64(void);

#endif /* __LC_TRACE_IA64_H */
