/***************************************************************************
                                 common.h
                             -------------------
    begin                : Mon Nov 5 2001
    copyright            : (C) 2001 by Michael Geselbracht
    email                : let@uni.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef COMMON_H
#define COMMON_H

#undef DEBUG

/* Iterate over all nodes in NodeSet V
*/
#define forall_nodes(x, V) \
    for (CNodeSet::Iterator _xit = (V)->begin(); x = *_xit, _xit != (V)->end(); ++_xit)

/* Iterate over all edges in EdgeSet E
*/
#define forall_edges(x, E) \
    for (CEdgeSet::Iterator _xit = (E)->begin(); x = *_xit, _xit != (E)->end(); ++_xit)

namespace graph {
	enum DebugCmd { None, StageMinus, StepMinus, StepPlus, StagePlus };
}

#endif
