/*-*-c++-*-
 * cpreferencesfontimpl.h
 * Copyright (c) 2002 Michael Geselbracht <let@user.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */

#ifndef CPREFERENCESFONTIMPL_H
#define CPREFERENCESFONTIMPL_H

#include "cpreferencesfont.h"

#include "cpreferencesbase.h"

class QWidget;
class QLcrashDoc;

/**
  *@author Michael Geselbracht
  */

class CPreferencesFontImpl : public CPreferencesFont, CPreferencesBase {
public: 
    CPreferencesFontImpl(QLcrashDoc* doc, QWidget* parent);
    ~CPreferencesFontImpl();

    void saveConfig();

protected:
    void slotSelectGlobal();
    void slotSelectFixed();
    void slotSelectConsole();
    void slotSelectDisassemble();
    void slotSelectDump();
    void slotConsoleUseFixed();
    void slotDisassembleUseFixed();
    void slotDumpUseFixed();

private:
    void init();

private:
    QLcrashDoc* oDoc;
};

#endif
