/*-*-c++-*-
 * cpreferenceslayoutimpl.h
 * Copyright (c) 2002 Michael Geselbracht <let@user.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */

#ifndef CPREFERENCESLAYOUTIMPL_H
#define CPREFERENCESLAYOUTIMPL_H

#include "cpreferenceslayout.h"
#include "cpreferencesbase.h"

class QLcrashDoc;

/**
  *@author Michael Geselbracht
  */

class CPreferencesLayoutImpl : public CPreferencesLayout, CPreferencesBase {
public: 
    CPreferencesLayoutImpl(QLcrashDoc* doc, QWidget* parent);
    ~CPreferencesLayoutImpl();
    void saveConfig();

private:
    void init();

private:
    QLcrashDoc* oDoc;
};

#endif
