/*
 * $Id: cmds_ppc64.c 1079 2004-10-22 19:59:34Z troyhebe $
 *
 * This file is part of lcrash, an analysis tool for Linux memory dumps.
 *
 * Created by Silicon Graphics, Inc.
 * Contributions by IBM, and others
 *
 * Copyright (C) 1999 - 2002 Silicon Graphics, Inc. All rights reserved.
 * Copyright (C) 2001, 2002 IBM Deutschland Entwicklung GmbH, IBM Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */

#include <lcrash.h>

extern int defcpu_ppc64_cmd(command_t *), defcpu_ppc64_parse(command_t *);
extern void defcpu_ppc64_help(command_t *), defcpu_ppc64_usage(command_t *);

extern int rd_ppc64_cmd(command_t *), rd_ppc64_parse(command_t *);
extern void rd_ppc64_help(command_t *), rd_ppc64_usage(command_t *);

_command_t cmdset_ppc64[] = {
		{"rd", 0, rd_ppc64_cmd, rd_ppc64_parse, rd_ppc64_help, 
		rd_ppc64_usage, NULL},
		{"defcpu", 0, defcpu_ppc64_cmd, defcpu_ppc64_parse, 
		defcpu_ppc64_help, defcpu_ppc64_usage, NULL},
	        {(char *)0 }
};

